## ros-kinetic-moveit-python 0.3.5

=== debian/changelog ===
ros-kinetic-moveit-python (0.3.5-1xenial) xenial; urgency=high

  * use "is None"
  * Fixed a comparison and logical statement order issue. (#26 <https://github.com/mikeferguson/moveit_python/issues/26>)
  * fix pyassimp indices bug (#27 <https://github.com/mikeferguson/moveit_python/issues/27>)
  * Contributors: Karl Kangur, Michael Ferguson, Shingo Kitagawa

 -- Michael Ferguson <fergs@botnuvo.com>  Fri, 25 Dec 2020 05:00:00 -0000

ros-kinetic-moveit-python (0.3.4-1xenial) xenial; urgency=high

  * Fixed error message when removing attached object. (#25 <https://github.com/mikeferguson/moveit_python/issues/25>)
    Co-authored-by: Karl Kangur <mailto:karl.kangur@exwzd.com>
  * Merge pull request #24 <https://github.com/mikeferguson/moveit_python/issues/24> from v4hn/pr-master-python3
    python3 compatible API & syntax
  * python3 compatible API & syntax
  * Contributors: Karl Kangur, Michael Ferguson, v4hn

 -- Michael Ferguson <fergs@botnuvo.com>  Wed, 22 Apr 2020 04:00:00 -0000

ros-kinetic-moveit-python (0.3.3-1xenial) xenial; urgency=high

  * add sphere to planning scene interface
  * add move_group parameter to MoveGroup class
  * Contributors: Michael Ferguson, arwtyxouymz

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 21 Nov 2019 05:00:00 -0000

ros-kinetic-moveit-python (0.3.2-1xenial) xenial; urgency=high

  * enable pyassimp for melodic
  * update maintainer email
  * Contributors: Michael Ferguson, Shingo Kitagawa

 -- Michael Ferguson <fergs@botnuvo.com>  Thu, 14 Nov 2019 05:00:00 -0000

ros-kinetic-moveit-python (0.3.1-1xenial) xenial; urgency=high

  * add missing namespace to apply service
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 13 Aug 2018 04:00:00 -0000

ros-kinetic-moveit-python (0.3.0-1xenial) xenial; urgency=high

  * add namespace functionality on planning_scene_interface.py
  * additional cleanup/documentation
    * use apply_service for colors
    * rename sentUpdate to sendUpdate, add docs
    * rename wait param to use_service (the meaning has changed)
    * remove some spammy logging
    * don't waitForSync when using service
  * Merge pull request #10 <https://github.com/mikeferguson/moveit_python/issues/10> from alemme/master
    adapt the code for the apply service
  * added services to add objects to environment and attach them. Following http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/pr2_tutorials/planning/src/doc/planning_scene_ros_api_tutorial.html#interlude-synchronous-vs-asynchronous-updates
  * Contributors: Benjamin-Tan, Lemme, Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-kinetic-moveit-python (0.2.17-1xenial) xenial; urgency=high

  * Merge pull request #9 <https://github.com/mikeferguson/moveit_python/issues/9> from mikeferguson/pyassimp_fix
    pyassimp is broken in 16.04, temporary work around so we can release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Tue, 23 Aug 2016 04:00:00 -0000

ros-kinetic-moveit-python (0.2.16-1xenial) xenial; urgency=high

  * fix error message to have proper function name
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 02 Nov 2015 05:00:00 -0000

ros-kinetic-moveit-python (0.2.15-1xenial) xenial; urgency=high

  * Fix types in move_group_interface
  * add planning_scene_diff as optional field
  * Contributors: Michael Ferguson, Mikkel Rath Pedersen

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Thu, 20 Aug 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.14-1xenial) xenial; urgency=high

  * add no-wait behavior for move, pick, and place
  * updates for compliance with PEP8
  * Contributors: Aaron Blasdel, Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Fri, 22 May 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.13-1xenial) xenial; urgency=high

  * better handle removal of objects
  * place has no attached_object_touch_links
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 18 Apr 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.12-1xenial) xenial; urgency=high

  * fixup planner id
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 11 Apr 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.11-1xenial) xenial; urgency=high

  * fix spelling issue in velocity scaling factor
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.10-1xenial) xenial; urgency=high

  * implement kwargs for pick&place interface
  * add max_velocity_scaling_factor as kwarg
  * allow overriding allowed_planning_time
  * add FakeGroupInterface
  * add clear() method to planning scene interface
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.9-1xenial) xenial; urgency=high

  * add rotate_pose_msg_about_origin
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 28 Mar 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.8-1xenial) xenial; urgency=high

  * expose num_attempts through kw_args
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sat, 21 Mar 2015 04:00:00 -0000

ros-kinetic-moveit-python (0.2.7-1xenial) xenial; urgency=high

  * enable removing attached objects
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Wed, 19 Nov 2014 05:00:00 -0000

ros-kinetic-moveit-python (0.2.6-1xenial) xenial; urgency=high

  * use kw_args for group interface, add a number of args supported
  * a couple of fixes for is_diff
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@unboundedrobotics.com>  Sun, 16 Nov 2014 05:00:00 -0000

ros-kinetic-moveit-python (0.2.5-1xenial) xenial; urgency=high

