=== debian/control ===
Source: ros-kinetic-moveit-python
Section: misc
Priority: optional
Maintainer: Michael Ferguson <fergs@botnuvo.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/moveit_python
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyassimp, ros-kinetic-actionlib, ros-kinetic-geometry-msgs, ros-kinetic-moveit-msgs, ros-kinetic-rospy, ros-kinetic-shape-msgs, ros-kinetic-tf
Description: A pure-python interaface to the MoveIt! ROS API.
